/*
   Copyright (c) 2015 by Plexim GmbH
   All rights reserved.

   A free license is granted to anyone to use this software for any legal
   non safety-critical purpose, including commercial applications, provided
   that:
   1) IT IS NOT USED TO DIRECTLY OR INDIRECTLY COMPETE WITH PLEXIM, and
   2) THIS COPYRIGHT NOTICE IS PRESERVED in its entirety.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
   OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
   AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
   LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
   OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
   SOFTWARE.
*/

#include "pu.h"
#include "main.h"
#include "hall.h"

extern HALL3 Hall1;

// this file can be linked such that no Flash memory is consumed
#ifndef PIL_PREP_TOOL
#include "pil_symbols_p.inc" // will be automatically generated
#endif

//define configuration constants readable by PLECS
//APB2 clock used for TIM1, equals System clock
PIL_CONFIG_DEF(uint32_t,CK_PSC, SYSCLK);
//Prescaler for Timer
PIL_CONFIG_DEF(uint32_t,TIM1_PSC, TIM1PSC);

//Symbol Definition for PLECS Probes

//Symbols used in control
PIL_SYMBOL_DEF(ControlVars_Iset, Q_IV, I_REF, "A");
PIL_SYMBOL_DEF(ControlVars_Vset, Q_IV, V_REF, "V");
PIL_SYMBOL_DEF(AIn_Idc, Q_IV, I_REF, "A");
PIL_SYMBOL_DEF(pwm1_CmtnPointer, 0, 1, "");

//Symbols used in hall
PIL_SYMBOL_DEF(Hall1_HallGpio, 0, 1, "");

//Symbols used in pwm
PIL_SYMBOL_DEF(pwmConf_ARR, 0, 1, "");
PIL_SYMBOL_DEF(pwmConf_CCR1, 0, 1, "");
PIL_SYMBOL_DEF(pwmConf_OC1M, 0, 1, "");
PIL_SYMBOL_DEF(pwmConf_CCR2, 0, 1, "");
PIL_SYMBOL_DEF(pwmConf_OC2M, 0, 1, "");
PIL_SYMBOL_DEF(pwmConf_CCR3, 0, 1, "");
PIL_SYMBOL_DEF(pwmConf_OC3M, 0, 1, "");
PIL_SYMBOL_DEF(pwmConf_CCR4, 0, 1, "");
PIL_SYMBOL_DEF(pwmConf_OC4M, 0, 1, "");
PIL_SYMBOL_DEF(pwmConf_CCER, 0, 1, "");
