#ifndef INCLUDES_H_
#define INCLUDES_H_

#define SYSCLK_HZ 200000000L
#define LSPCLK_HZ (SYSCLK_HZ / 4L)

#define SYSCLK_MHZ (SYSCLK_HZ / 1000000L)

// Delay macro
#define PLX_CPU_RATE    5.0L    // for a 200MHz CPU clock speed (SYSCLKOUT)
#define PLX_DELAY_US(A)  F28x_usDelay( \
        ((((long double) A * \
           1000.0L) / \
          (long double)PLX_CPU_RATE) - 9.0L) / 5.0L)
extern void F28x_usDelay(unsigned long aCount);

// Control frequency
#define PWM_HZ (10000)
#define CONTROL_HZ (10000)
#define TICKS_PER_MS (CONTROL_HZ / 1000) // // ticks per millisecond

#define TASK2_PERIOD 10 // measured in Task 1 ticks

#define USE_ADC_INT

// Baudrate for serial link
#define BAUD_RATE 115200L
#define USE_SCI_FIFO

#define BLINK_LED
#define CPU1_LED_GPIO 31 // 31, 65

#include "F2837xD_Device.h"
#include "F2837xD_SysCtrl.h"
#include "F2837xD_EPwm_defines.h"
#include "F2837xD_Pie_defines.h"
#include "F2837xD_Gpio_defines.h"
#include "F2837xD_cputimervars.h"
#include "F2837xD_GlobalPrototypes.h"
#include "F2837xD_adc.h"
#include "F2837xD_Adc_defines.h"

#include "main.h"
#include "sci.h"
#include "pu.h"
#include "calib.h"
#include "io.h"
#include "macros.h"
#include "control.h"

// Pil includes
#include "pil.h"
#include "pil_ctrl.h"

#endif // INCLUDES_H_
