<?php
/*
 *  schematic_functions.php
 *
 *  Copyright (c) 2014 Plexim GmbH. All rights reserved.
 *
 * $Rev: 15734 $
 * $Date: 2015-08-18 13:02:33 +0200 (Tue, 18 Aug 2015) $
 */
require 'general_functions.php';


function processSchematicCallback()
{
   switch (urlVar('action'))
   {
      case 'createImage':
         echo json_encode(generateSchematicImage());
         break;
      case 'getImage':
         header("Content-Type: image/png");
         echo $_SESSION['models'][fullModelName()]['schematics'][urlVar('schematicIdx')]['img'][urlVar('configurationIdx')];
         break;
   }
}


if (!function_exists('getimagesizefromstring')) 
{
   function getimagesizefromstring($string_data)
   {
      $uri = 'data://application/octet-stream;base64,'.base64_encode($string_data);
      return getimagesize($uri);
   }
}


function circuitPath()
{
   $circuit = $_SESSION['models'][fullModelName()]['schematics'][urlVar('schematicIdx')];
   $path = $circuit['path'];
   if (!empty($circuit['configurations']))
      $path .= '/'.$circuit['configurations'][urlVar('configurationIdx')]['path'];
   if (strlen($path) > 0)
      return uniqueModelName().'/'.$path;
   else
      return uniqueModelName();
}


function generateSchematicImage()
{
   $args = array('resolution' => urlVar('resolution'));
   $retData = plecsWebserver('getCircuitBitmap', circuitPath(), $args);
   if (!isset($retData['errorMsg']))
   {
      $fullModelName = fullModelName();
      $schematicIdx = urlVar('schematicIdx');
      $configurationIdx = urlVar('configurationIdx');
      $circuit = $_SESSION['models'][$fullModelName]['schematics'][$schematicIdx];
      if (!isset($circuit['img']))
         $circuit['img'] = array();
      $circuit['img'][$configurationIdx] = $retData['imageData'];
      unset($retData['imageData']);
      $_SESSION['models'][$fullModelName]['schematics'][$schematicIdx] = $circuit;
      $imgSize = array();
      list($imgSize["width"], $imgSize["height"]) = getimagesizefromstring($circuit['img'][$configurationIdx]);
      return array_merge($retData, array("imgSize" => $imgSize));
   }
}

?>